import {
  IconClear,
  IconDelete,
  IconEyeOff,
  IconEyeOn,
  IconLock,
  IconRedo,
  IconShadow,
  IconShadowOff,
  IconUndo,
  IconUnlock,
} from "@queenjs/icons";
import { createTipIcon } from "./create";

export const TipIcons = {
  Shadow: createTipIcon({
    icons: [IconShadow, IconShadowOff],
    tips: ["阴影-开", "阴影-关"],
  }),
  Visible: createTipIcon({
    icons: [IconEyeOn, IconEyeOff],
    tips: ["显示", "隐藏"],
  }),
  Lock: createTipIcon({
    icons: [IconLock, IconUnlock],
    tips: ["显示", "隐藏"],
  }),
  Delete: createTipIcon({
    icons: [IconDelete],
    tips: ["删除"],
  }),
  Clear: createTipIcon({
    icons: [IconClear],
    tips: ["清除材质"],
  }),
  undo: createTipIcon({
    icons: [IconUndo],
    tips: ["撤销"],
  }),
  Redo: createTipIcon({
    icons: [IconRedo],
    tips: ["重做"],
  }),
};
